@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-team-information-panel
            [adminTeamViewComponentData]="componentData"
          >
          </sqtm-app-team-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authorisations'"
          [sqtmCoreAnchorCollapsePanel]="'authorisations'"
          [nzHeader]="authorisationTitle"
          [nzExtra]="authorisationGridButtons"
        >
          <ng-template #authorisationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.user.authorisation.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-team-authorisations-panel>
          </sqtm-app-team-authorisations-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #authorisationGridButtons>
        <div class="admin-view-panel-buttons">
          <div [attr.data-test-button-id]="'add-authorisation'">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.user.authorisation.tooltip.add-authorisation'
                  | translate
              "
              nzTooltipPlacement="top"
              (click)="addTeamAuthorisation($event)"
            >
            </i>
          </div>
          <sqtm-core-toggle-icon
            [attr.data-test-toolbar-button-id]="'remove-authorisations'"
            [active]="authorisationsGridService.hasSelectedRows$ | async"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:unlink"
              nzTheme="outline"
              nz-tooltip
              class="action-icon-size"
              [nzTooltipTitle]="
                'sqtm-core.entity.user.authorisation.tooltip.remove-many-authorisations'
                  | translate
              "
              nzTooltipPlacement="topRight"
              (click)="deleteAuthorisations($event)"
            ></i>
          </sqtm-core-toggle-icon>
        </div>
      </ng-template>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'members'"
          [sqtmCoreAnchorCollapsePanel]="'members'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="membersTitle"
          [nzExtra]="membersGridButtons"
        >
          <ng-template #membersTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.team.member.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-team-members-panel> </sqtm-app-team-members-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #membersGridButtons>
        <div class="admin-view-panel-buttons">
          <div [attr.data-test-button-id]="'add-members'">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.team.tooltip.add-member' | translate
              "
              nzTooltipPlacement="top"
              (click)="addTeamMember($event, componentData.team.id)"
            >
            </i>
          </div>
          <sqtm-core-toggle-icon
            [attr.data-test-toolbar-button-id]="'remove-members'"
            [active]="membersGridService.hasSelectedRows$ | async"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:unlink"
              nzTheme="outline"
              nz-tooltip
              class="action-icon-size"
              [nzTooltipTitle]="
                'sqtm-core.entity.team.tooltip.delete-member.plural' | translate
              "
              nzTooltipPlacement="topRight"
              (click)="removeUsersFromTeam($event)"
            ></i>
          </sqtm-core-toggle-icon>
        </div>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
